Questions tagged [ppa]

PPAs are personal package archives that allows users and groups on Launchpad to make packages available to the public. PPAs can be added with a terminal command or through Software Sources.

Filter by
Sorted by
Tagged with
0
votes
1answer
38 views

How to install the latest Linux Kernel, Mesa, Intel/AMD GPU drivers, and Xorg.. on Ubuntu 18.04 LTS? [duplicate]

On Ubuntu 18.04 LTS, how to get: Linux Kernel: 5.0 or newer. Mesa Library: 19.0 or newer. Intel Graphics Driver: ...? (latest) AMD Graphics Driver: ...? (latest) Xorg: ...? (latest) I have two ...
13
votes
2answers
25k views

Nvidia driver 410 listed by ppa and ubuntu-drivers but does not seem to be installable via apt

I have a GTX 660M and Ubuntu 18.04 64-bit. According to the official website, the latest graphics driver for this card is version 410.66. The graphics-drivers PPA says Current long-lived branch ...
1
vote
2answers
47 views

How to install PCL for 16.04, PPA not working

I tried to follow the PPA for the prebuilt binary: sudo add-apt-repository ppa:v-launchpad-jochen-sprickerhof-de/pcl sudo apt-get update sudo apt-get install libpcl-all but I get a failure message ...
1
vote
1answer
1k views

sudo: unable to execute /usr/bin/add-apt-repository: No such file or directory

Getting sudo: unable to execute /usr/bin/add-apt-repository: No such file or directory error while adding repository:- sudo add-apt-repository ppa:neovim-ppa/unstable /usr/bin/add-apt-repository ...
0
votes
0answers
48 views

I have a big problem with the repositories [duplicate]

I have installed Ubuntu 19.04 Disco Dingo a week ago in my computer. When I try to add a new repository with this command (sudo add-apt-repository ppa:gezakovacs/ppa this is only an example) the ...
0
votes
0answers
23 views

How to add applications to PPA to install in the terminal [duplicate]

when installing the application with the command sudo apt-get install app-name. How to submit the application to PPA to be able to install it in the terminal? Can someone give me a guide?
7
votes
4answers
22k views

How do I install Pinta?

I ordered a new computer with Windows 8 to test before rolling out. It arrived with Ubuntu 12.04. Rather then just send it back, I decided to check it out first as I think the system is probably much ...
0
votes
0answers
30 views

Error when trying to get ppa:mc3man/trusty-media [duplicate]

I am trying to install specific version of FFMPEG (4.1.4), but, when I try to execute: sudo add-apt-repository ppa:mc3man/trusty-media I get following error message: Hit:1 http://rs.archive.ubuntu....
2
votes
3answers
6k views

How do you add Debian experimental repo to Ubuntu, for those understanding the risks associated?

This question was asked previously, however the answers in this question are intent to tell why that is a poor idea. How to add Debian experimental repo to Ubuntu? No actual answer is actually ...
-1
votes
0answers
33 views

Difference between git clone and add apt repository while installing ethereum [duplicate]

As I started to set up geth on my Ubuntu machine, I came across two different methods of doing it. One website instructed to run the command git clone https://github.com/ethereum/go-ethereum while ...
0
votes
0answers
21 views

I my system sound ouput is not working in all the ports.I check sudo apt -get update it shows like this.What i need to do for the output sound? [duplicate]

sudo apt-get update Err:13 http://ppa.launchpad.net/ubuntu-audio-dev/ppa/ubuntu bionic Release 404 Not Found [IP: 91.189.95.83 80] Reading package lists... Done E: The repository 'http://ppa....
0
votes
0answers
16 views

GUI tool to backup PPAs and list of packages

I am looking for a GUI tool to backup and restore the list of PPAs and packages installed on the system. I was using Aptik but now the free version is not maintained anymore and I need an alternative....
2
votes
0answers
23 views

Will launchpad build my PPA projects one at a time in the order I send them?

I'm managing a large PPA with about 100 packages found in about 20 projects. https://launchpad.net/~snapcpp/+archive/ubuntu/ppa Whenever I want to rebuild a project, I send it and wait for it to be ...
0
votes
1answer
34 views

Repository error received during an upgrade [duplicate]

E: Repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease' changed its 'Label' value from 'Oracle Java (JDK) 8 Installer PPA' to 'Oracle Java (JDK) 8 Installer PPA (DISCONTINUED)...
3
votes
2answers
3k views

Error getting access to LLVM Debian/Ubuntu nightly packages

Trying to access LLVM Debian/Ubuntu nightly packages I am on 14.04 and they give this info: The goal is to provide Debian and Ubuntu nightly packages ready to be installed with minimal impact ...
0
votes
1answer
207 views

sudo add-apt-repository hangs with no error Ubuntu 19.04

Whenever I try to run sudo add-apt-repository ppa:docky-core/ppa(for any ppa, not just this one) it just hangs indefinitely, without giving any sort of error, even with the -m flag. After I terminate ...
36
votes
2answers
47k views

How can I install and use gcc 6 on xenial? [duplicate]

I wish to test existing software with gcc 6, to ensure that it will work when the transition takes place. How can I install gcc 6? Is there a ppa available? Can I just do a "CC=gcc-6 make" ? ...
0
votes
0answers
31 views

Failing a PPA build

I'm getting the following build failure when I push to my PPA: dpkg-buildpackage ----------------- dpkg-buildpackage: info: source package python3-random-quote dpkg-buildpackage: info: source ...
0
votes
0answers
22 views

Error adding ppa repository, gpg: keyserver receive failed: Connection timed out

I am trying to install open source graphics drivers for AMD, but the sudo add-apt-repository ppa:oibaf/graphics-drivers command times out while receiving gpg keys from keyserver. I know it is due to ...
5
votes
2answers
6k views

Which nvidia driver from additional drivers option should I choose?

I have NVIDIA Geforece 7025 / nForce 630a integrated gfx card on my UBUNTU 12.04.And I have 4 options in Additional drivers: NVIDIA accelerated graphics driver (version 173) NVIDIA accelerated ...
0
votes
0answers
44 views

Error with sudo apt-get update [duplicate]

I'm getting the following error when I try sudo apt-get update E: The repository "http://ppa.launchpad.net/grumbel/ppa/ubuntu bionic Release" does not have a Release file. N: Updating from such a ...
9
votes
2answers
28k views

Cannot add PPA - “user or team does not exist”

when i write this command sudo add-apt-repository ppa:webupd8team/sublime-text-3 I get the error Cannot add PPA: 'ppa:~webupd8team/ubuntu/sublime-text-3'. ERROR: '~webupd8team' user or team does ...
43
votes
4answers
114k views

What can I do if a repository/PPA does not have a Release file?

When updating, I get the following error message: W: The repository 'http://ppa.launchpad.net/mc3man/trusty-media/ubuntu xenial Release' does not have a Release file. Here, I find another statement ...
6
votes
4answers
8k views

mysql PPA - invalid signature

I already have mysql-server package installed!!! I want to make sure I have the most recent MySQL in my Ubuntu. So (long time ago) I added repo.mysql.com/apt/ubuntu PPA. Recently I noticed errors ...
7
votes
1answer
6k views

How do I install gcc-5.3 on Ubuntu 16.04

I'm currently running Ubuntu 16.04 and want to install gcc-5.3 from source, without disrupting thegcc-5.4 and gcc-4.9 that I have already installed using Synaptic package manager. The reason I want ...
7
votes
1answer
30k views

Ubuntu 14.04: problems upgrading php to 5.6 using ppa:ondrej

I've done the following: sudo add-apt-repository ppa:ondrej/php5-5.6 sudo apt-get update sudo apt-get upgrade sudo apt-get install php5 sudo apt-get install libapache2-mod-php5.6 sudo add-apt-...
0
votes
1answer
297 views

Octave permissions on Ubuntu 16.04 after installing from PPA

I've installed octave on xenial using PPA: sudo apt-add-repository ppa:octave/stable sudo apt-get update sudo apt-get install octave after which I did not get root permissions, error being : ...
0
votes
1answer
3k views

How do I install gtk-v4l on Ubuntu 16.10?

I'm running latest Ubuntu 16.10 desktop operating system. How do I install gtk-v4l package to control my webcam settings? I'm getting the following errors during apt-get update: W: The repository '...
2
votes
2answers
130 views

How to delete PPA repository from dpkg

I am a new user of Linux currently using 18.04 on my HP laptop with AMD processor. Some times ago I have tried to install JDK11 from this repostiorysudo add-apt-repository ppa:linuxuprising/java then ...
4
votes
2answers
3k views

Why did debuild fail with “configure: error: unrecognized option:”

I was trying to follow the instructions listed in this question/answer. libimobiledevice 1.2 (iOS 8 Support) for Ubuntu 14.04 Trusty The answer said : "Actually I cheated a bit. I couldn't satisfy ...
0
votes
0answers
577 views

E: Unable to locate package oracle-java8-installer [duplicate]

I'm trying to upgrade my java version from 1.6 to 1.8. I followed these steps: sudo add-apt-repository ppa:webupd8team/java sudo apt-get update sudo apt-get install oracle-java8-installer but when I ...
2
votes
1answer
3k views

Intel Graphics Update tool for Linux - Failing at signing the packages after download (Ubuntu 16.04)

When I run the graphics update tool it all works fine, until I reach the final stage, which looks like the following: Ensuring consistent system... OK Listing packages... OK Setting up repositories.....
80
votes
3answers
50k views

Explicitly accept change for PPA 'Label'

When I run apt-get update on my ubuntu 17.10 I receive the following error: E: Repository 'http://ppa.launchpad.net/ondrej/php/ubuntu artful InRelease' changed its 'Label' value from '***** The main ...
2
votes
2answers
2k views

not able to get php7 after add ppa:ondrej/php [closed]

I added the repository by this command: LC_ALL=en_US.UTF-8 add-apt-repository ppa:ondrej/php WARNING: add-apt-repository is broken with non-UTF-8 locales, see https://github.com/oerdnj/deb.sury.org/...
8
votes
5answers
20k views

How can a current version of Linphone be installed?

I want to install a current version of Linphone. I have attempted to install using the following procedure on Ubuntu 16.04: sudo add-apt-repository ppa:linphone/release sudo apt-get update sudo apt-...
0
votes
0answers
52 views

when i run “sudo apt-get install” in terminal these are the errors [duplicate]

When I run sudo apt install in the terminal, I get the following error messages: Traceback (most recent call last): File "/usr/lib/cnf-update-db", line ...
536
votes
14answers
920k views

How do I resolve unmet dependencies after adding a PPA?

Occasionally, when I'm installing stuff, I get an error like the following: Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the ...
20
votes
5answers
4k views

How to list all the packages which are installed from PPAs?

I installed many packages from many PPAs on my system. I want to list all the installed packages which are installed from launchpad PPAs, not repositories. Is this possible through command-line?
0
votes
1answer
3k views

I can't add any ppa

I don't know why but after a while I can't add any working ppa any more! When I try this: sudo add-apt-repository ppa:webupd8team/tor-browser the output is: Cannot add PPA: 'ppa:webupd8team/tor-...
0
votes
0answers
29 views

I can't upgrade to the latest LTS [duplicate]

I have Ubuntu 18.04 and I am trying to upgrade to the next LTS which is 18.10, every time I run the upgrade this message appears. I tried to fix with different ways but I couldn't find any solution. ...
0
votes
0answers
38 views

Packages still present but PPAs removed!

I upgraded from ubuntu 18.04 to 19.04 recently. By default, only official PPAs were enabled so I removed all other PPAs from "Other Software" tab of "Softwares & Updates" But all the apps/...
0
votes
0answers
29 views

Packaging Python-Script not working

I'm new to packaging software for Ubuntu (PPA). I tried to package a simple python script: #!/usr/bin/env python print("Hello World") According to the packagin guide the following steps should ...
12
votes
3answers
9k views

Is there a good PPA for cmake backports?

I am looking for a reliable PPA for cmake backports. I need it for both Xenial and Trusty (travis-ci). Ideally I would like to have at least cmake 3.8.
0
votes
0answers
29 views

apt-get must use designated PPA

I've seen this question: How to only install updates from a specific repository? but it doesn't help. I want to install NPM using this script: https://deb.nodesource.com/setup_10.x (not my idea, this ...
0
votes
0answers
19 views

The repository 'http://ppa.launchpad.net/gnome-terminator/ppa/ubuntu > bionic Release' does not have a Release [duplicate]

Getting an error while running sudo apt-get update on ubuntu 18.04. What could be the possible reason for this? Hit:1 http://linux.teamviewer.com/deb stable InRelease Hit:2 https://cloud.r-...
0
votes
0answers
17 views

Home directory vs FEniCS directory

I used PPA to install Fenics(1:2019.1.0.1) on a Ubuntu machine (2019.04) directly from my home directory. All the fenics dependencies have been installed OK. No errors messages. To check the ...
0
votes
2answers
61 views

Problem with sudo apt update What should I do with this? [duplicate]

When I wrote in terminal "sudo apt update" I saw this and I don't know what should I do. Can you help me? E: The repository 'http://ppa.launchpad.net/damien-moore/codeblocks-stable/ubuntu bionic ...
66
votes
2answers
67k views

What does 'Ign' , `Get` or 'Hit' mean when running an apt-get update?

I had a bunch of errors in the output of sudo apt-get update: duplicate entries and 404 not found errors. Figured those out, I hope: I removed PPAs that didn't have any packages associated with them,...
0
votes
0answers
47 views

How to fix 404 not found error in pycharm when updating packages? [duplicate]

First I run this command sudo apt-add-repository --remove pycharm:mystic-mirage/pycharm then this error occurs while updating Err:11 http://ppa.launchpad.net/mystic-mirage/pycharm/ubuntu bionic ...
0
votes
1answer
28 views

PPA package update throwing “Invalid SHA” on import

I'm trying to update a package on my PPA, but the import fails with the following error: 2019-06-26 05:33:26 INFO Starting job. 2019-06-26 05:33:26 INFO Getting exising bzr branch from central ...